org.apache.olingo.odata2.api.uri

## Class ExpandSelectTreeNode.ExpandSelectTreeNodeBuilder

- java.lang.Object
- - org.apache.olingo.odata2.api.uri.ExpandSelectTreeNode.ExpandSelectTreeNodeBuilder

- Enclosing class:
    ExpandSelectTreeNode

      public abstract static class ExpandSelectTreeNode.ExpandSelectTreeNodeBuilder
      extends Object

  Builder interface

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpandSelectTreeNodeBuilder()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ExpandSelectTreeNode` | `build()` Will close this builder and return an `ExpandSelectTreeNode`.
    `abstract ExpandSelectTreeNode.ExpandSelectTreeNodeBuilder` | `customExpandedLink(String navigationPropertyName, ExpandSelectTreeNode expandNode)` Sets a link to be expanded with a custom node.
    `abstract ExpandSelectTreeNode.ExpandSelectTreeNodeBuilder` | `entitySet(EdmEntitySet entitySet)` Sets the entitySet for this node.
    `abstract ExpandSelectTreeNode.ExpandSelectTreeNodeBuilder` | `expandedLinks(List<String> navigationPropertyNames)` A list of expanded links.
    `abstract ExpandSelectTreeNode.ExpandSelectTreeNodeBuilder` | `selectedLinks(List<String> selectedNavigationPropertyNames)` A list of selected links.
    `abstract ExpandSelectTreeNode.ExpandSelectTreeNodeBuilder` | `selectedProperties(List<String> selectedPropertyNames)` A list of properties which are selected.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExpandSelectTreeNodeBuilder

          public ExpandSelectTreeNodeBuilder()

  - ### Method Detail

    - #### entitySet

          public abstract ExpandSelectTreeNode.ExpandSelectTreeNodeBuilder entitySet(EdmEntitySet entitySet)

      Sets the entitySet for this node.
      Parameters:
        `entitySet` - must not be null
      Returns:
        `ExpandSelectTreeNode.ExpandSelectTreeNodeBuilder` for method chaining.

    - #### build

          public abstract ExpandSelectTreeNode build()
                                              throws EdmException

      Will close this builder and return an `ExpandSelectTreeNode`. All properties and navigation properties will be validated if they exist for the entity set.
      Returns:
        `ExpandSelectTreeNode.ExpandSelectTreeNodeBuilder` for method chaining.
      Throws:
        `EdmException` - in case property or navigation property validation fails.

    - #### selectedProperties

          public abstract ExpandSelectTreeNode.ExpandSelectTreeNodeBuilder selectedProperties(List<String> selectedPropertyNames)

      A list of properties which are selected. Selected means that they appear in the payload during serialization. MUST NOT CONTAIN navigation properties.
      Parameters:
        `selectedPropertyNames` -
      Returns:
        `ExpandSelectTreeNode.ExpandSelectTreeNodeBuilder` for method chaining.

    - #### selectedLinks

          public abstract ExpandSelectTreeNode.ExpandSelectTreeNodeBuilder selectedLinks(List<String> selectedNavigationPropertyNames)

      A list of selected links. Selected means they appear as links in the payload. If a link should be expanded they navigation property does not need to appear here but can. Expanded links will win over selected links.
      Parameters:
        `selectedNavigationPropertyNames` -
      Returns:
        `ExpandSelectTreeNode.ExpandSelectTreeNodeBuilder` for method chaining.

    - #### customExpandedLink

          public abstract ExpandSelectTreeNode.ExpandSelectTreeNodeBuilder customExpandedLink(String navigationPropertyName,
                                                                                              ExpandSelectTreeNode expandNode)

      Sets a link to be expanded with a custom node. With this the inline content can either also be expanded or selected. Custom nodes for a navigation properties will win over navigation properties which are also specified in the expanded links list. Example: if a link A is set with a custom node and A appears in the expanded link list it will be expanded with the custom node.
      Parameters:
        `navigationPropertyName` -
        `expandNode` - must not be null
      Returns:
        `ExpandSelectTreeNode.ExpandSelectTreeNodeBuilder` for method chaining.

    - #### expandedLinks

          public abstract ExpandSelectTreeNode.ExpandSelectTreeNodeBuilder expandedLinks(List<String> navigationPropertyNames)

      A list of expanded links. Expanded means their content will be shown as inline entry or feed in the payload but a callback MUST BE registered to get the content for the inline content. The inline content will appear with all properties and links. If this is not needed use the customExpandedLink method to set a custom node for this expanded link. Expanded links will win over selected links. If a custom node was set for a particular link it will win over a link that is specified in this list.
      Parameters:
        `navigationPropertyNames` -
      Returns:
        `ExpandSelectTreeNode.ExpandSelectTreeNodeBuilder` for method chaining.

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.